@ECHO OFF
REM Start qemu on windows.

REM SDL_VIDEODRIVER=directx is faster than windib.
SET SDL_VIDEODRIVER=directx

REM QEMU_AUDIO_DRV=dsound or fmod or sdl or none can be used. See qemu -audio-help.
SET QEMU_AUDIO_DRV=dsound

REM SDL_AUDIODRIVER=waveout or dsound can be used. Only if QEMU_AUDIO_DRV=sdl.
SET SDL_AUDIODRIVER=dsound

REM QEMU_AUDIO_LOG_TO_MONITOR=1 displays log messages in QEMU monitor.
SET QEMU_AUDIO_LOG_TO_MONITOR=0

REM SDL_STDIO_REDIRECT=no display stdout and stderr to console

REM ################################################
REM # Boot disk image + use eth0 + Video Display Device = vmware + ssh remap
REM ################################################
START qemu-system-i386w.exe -name WinXP ^
  -L Bios -m 512M -vga vmware -soundhw es1370 ^
  -boot menu=on,splash=bootsplash.bmp,splash-time=5000 ^
  -rtc base=localtime,clock=host ^
  -usb -usbdevice tablet -k fr -vnc localhost:0 ^
  -net nic,model=virtio -net user,hostfwd=tcp::2222-:22 ^
  -drive file=Images/winxp.qcow2,format=qcow2,if=ide,index=0,media=disk,cache=writeback ^
  -no-acpi -no-hpet -no-reboot ^
